<!DOCTYPE html>
<html lang="fa" dir="rtl">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./assets/css/owl.carousel.min.css" />
    <link rel="stylesheet" href="./assets/css/owl.theme.default.min.css" />
    <link rel="stylesheet" href="./assets/css/style.css" />
    <title>فانو‌فیلم</title>
  </head>
  <body>

    <section class="login-section">
        <div class="signin-card">
            <div class="signin-card-header">
                <p>تایید شماره موبایل</p>
            </div>

            <div class="signin-card-body">
                <!-- Start of login form -->
                <form action="" class="sendOtp-form">

                    <div class="signin-input-container">
                        <p class="signin-label" for="otp">
                            کد 5رقمی ارسال شده به شماره زیر را وارد کنید:
                        </p>

                        <p class="signin-label otp-phone">
                            09120000000
                        </p>

                        <input 
                            class="otp-input-field" 
                            name="otp" 
                            id="otp" 
                            oninput="this.value = this.value.replace(/[^0-9۰-۹٠-٩]/g, '')" 
                            onkeypress="if(this.value.length==5) return false;" 
                            pattern="/^-?\d+\.?\d*$/" 
                            maxlength="5"
                            autocomplete="off"
                            required 
                        />
                    </div>

                    <!-- refresh otp link -->
                    <div class="refresh-otp">
                        <a href="" class="signin-actionLink">ارسال مجدد</a>
                    </div>

                    <span class="signin-btn btn-otp">ادامه</span>

                    <p class="error-msg"></p>

                </form>
                <!-- End of login form -->
            </div>

            <div class="signin-card-footer">
                <p>
                    قبلا ثبت نام کرده‌اید؟ <a href="" class="signin-actionLink">ورود</a>
                </p>
            </div>
        </div>
    </section>

    <script src="./assets/js/jquery-3.5.1.min.js"></script>
    <script src="./assets/js/owl.carousel.min.js"></script>
    <script src="./assets/js/script.js"></script>


    <script>
        $(document).ready(function(){
            $(".btn-otp").on("click", function(e){
                e.preventDefault();
                if($("#otp").val() == "" || $("#otp").val().length< 5){
                    $(".error-msg").text("کد ارسالی را وارد کنید")
                }
                else{
                    $(".sendOtp-form").submit();
                }
            });
        });
    </script>
  </body>
</html>
